Open CASCADE Technology: StepFEA_Array1OfCurveElementEndOffset Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_Array1OfCurveElementEndOffset Class Reference

`#include <StepFEA_Array1OfCurveElementEndOffset.hxx>`

## Public Member Functions
| StepFEA_Array1OfCurveElementEndOffset (const Standard_Integer Low, const Standard_Integer Up)
| StepFEA_Array1OfCurveElementEndOffset (const Handle< StepFEA_CurveElementEndOffset > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< StepFEA_CurveElementEndOffset > &V)
void | Destroy ()
| ~StepFEA_Array1OfCurveElementEndOffset ()
Standard_Boolean | IsAllocated () const
const StepFEA_Array1OfCurveElementEndOffset & | Assign (const StepFEA_Array1OfCurveElementEndOffset &Other)
const StepFEA_Array1OfCurveElementEndOffset & | operator= (const StepFEA_Array1OfCurveElementEndOffset &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepFEA_CurveElementEndOffset > &Value)
const Handle< StepFEA_CurveElementEndOffset > & | Value (const Standard_Integer Index) const
const Handle< StepFEA_CurveElementEndOffset > & | operator() (const Standard_Integer Index) const
Handle< StepFEA_CurveElementEndOffset > & | ChangeValue (const Standard_Integer Index)
Handle< StepFEA_CurveElementEndOffset > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepFEA_Array1OfCurveElementEndOffset::StepFEA_Array1OfCurveElementEndOffset | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepFEA_Array1OfCurveElementEndOffset::StepFEA_Array1OfCurveElementEndOffset | ( | const Handle< StepFEA_CurveElementEndOffset > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepFEA_Array1OfCurveElementEndOffset::~StepFEA_Array1OfCurveElementEndOffset | ( |  | ) |
| inline

## Member Function Documentation

const StepFEA_Array1OfCurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::Assign | ( | const StepFEA_Array1OfCurveElementEndOffset & | Other | ) |

Handle< StepFEA_CurveElementEndOffset >& StepFEA_Array1OfCurveElementEndOffset::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepFEA_Array1OfCurveElementEndOffset::Destroy | ( |  | ) |

void StepFEA_Array1OfCurveElementEndOffset::Init | ( | const Handle< StepFEA_CurveElementEndOffset > & | V | ) |

Standard_Boolean StepFEA_Array1OfCurveElementEndOffset::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Lower | ( |  | ) | const

const Handle< StepFEA_CurveElementEndOffset >& StepFEA_Array1OfCurveElementEndOffset::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StepFEA_CurveElementEndOffset >& StepFEA_Array1OfCurveElementEndOffset::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepFEA_Array1OfCurveElementEndOffset& StepFEA_Array1OfCurveElementEndOffset::operator= | ( | const StepFEA_Array1OfCurveElementEndOffset & | Other | ) |
| inline

void StepFEA_Array1OfCurveElementEndOffset::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepFEA_CurveElementEndOffset > & | Value
| ) |  |

Standard_Integer StepFEA_Array1OfCurveElementEndOffset::Upper | ( |  | ) | const

const Handle< StepFEA_CurveElementEndOffset >& StepFEA_Array1OfCurveElementEndOffset::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepFEA_Array1OfCurveElementEndOffset.hxx